> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start model deployment

> Starts a Stopped or Failed Model Deployment.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/modelServing/v1/modelDeployments/{modelDeploymentId}/start
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/modelServing/v1/modelDeployments/{modelDeploymentId}/start:
    post:
      tags:
        - Model deployment
      description: Starts a Stopped or Failed Model Deployment.
      operationId: startModelDeployment
      parameters:
        - description: The id of the Model Deployment to start.
          in: path
          name: modelDeploymentId
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Successfully started the Model Deployment.
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Integrated deployment to CI/CD workflows](/cloud/platform-capabilities/features/models/integrate-ci-cd-workflows.md)
- [Model deployment administration](/cloud/admin/platform-configuration/manage-model-deployments.md)
- [Getting started with Domino: Build a transaction review App](/cloud/platform-overview/getting-started-with-domino/index.md)
- [Retrieve all Model Deployments](/api-reference/model-deployment/retrieve-all-model-deployments.md)
